libzypp 17.38.15

ResPoolProxy.cc File Reference
`#include <iostream>`
`#include <utility>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-core/base/Iterator.h>`
`#include <zypp/base/Algorithm.h>`
`#include <zypp-core/base/Functional.h>`
`#include <zypp/ResPoolProxy.h>`
`#include <zypp/pool/PoolImpl.h>`
`#include <zypp/ui/SelectableImpl.h>`

Go to the source code of this file.

## Classes
struct | zypp::PoolItemSaver
| Tem. More...
struct | zypp::ResPoolProxy::Impl
| ResPoolProxy implementation. More...
struct | zypp::detail::DumpFilter

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::detail

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const ResPoolProxy::Impl &obj)
| relates: ResPoolProxy::Impl Stream output
std::ostream & | zypp::dumpOn (std::ostream &str, const ResPoolProxy::Impl &obj)
| relates: ResPoolProxy::Impl Verbose stream output
std::ostream & | zypp::operator<< (std::ostream &str, const ResPoolProxy &obj)
| relates: ResPoolProxy Stream output
std::ostream & | zypp::dumpOn (std::ostream &str, const ResPoolProxy &obj)
| relates: ResPoolProxy Verbose stream output